diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/traffic-control/test/pie-queue-disc-test-suite.cc ns-3.36/src/traffic-control/test/pie-queue-disc-test-suite.cc
--- ns-3.35/src/traffic-control/test/pie-queue-disc-test-suite.cc	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/traffic-control/test/pie-queue-disc-test-suite.cc	2022-04-30 18:23:58.170735000 -0700
@@ -582,8 +577,8 @@
   Simulator::Run ();
   st = queue->GetStats ();
   uint32_t test15 = st.GetNDroppedPackets (PieQueueDisc::UNFORCED_DROP);
-  NS_TEST_EXPECT_MSG_EQ (test15, 0, "There should not be any drops.");
-  NS_TEST_EXPECT_MSG_EQ (st.GetNMarkedPackets (PieQueueDisc::UNFORCED_MARK), 0, "There should be zero marks");
+  NS_TEST_ASSERT_MSG_EQ (test15, 0, "There should not be any drops.");
+  NS_TEST_ASSERT_MSG_EQ (st.GetNMarkedPackets (PieQueueDisc::UNFORCED_MARK), 0, "There should be zero marks");
 
 
   // test 16: tests Active/Inactive feature, ActiveThreshold set to a low value so PIE starts early
@@ -601,8 +596,8 @@
   Simulator::Run ();
   st = queue->GetStats ();
   uint32_t test16 = st.GetNDroppedPackets (PieQueueDisc::UNFORCED_DROP);
-  NS_TEST_EXPECT_MSG_NE (test16, 0, "There should be some drops.");
-  NS_TEST_EXPECT_MSG_EQ (st.GetNMarkedPackets (PieQueueDisc::UNFORCED_MARK), 0, "There should be zero marks");
+  NS_TEST_ASSERT_MSG_NE (test16, 0, "There should be some drops.");
+  NS_TEST_ASSERT_MSG_EQ (st.GetNMarkedPackets (PieQueueDisc::UNFORCED_MARK), 0, "There should be zero marks");
 }
 
 void
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/traffic-control/test/prio-queue-disc-test-suite.cc ns-3.36/src/traffic-control/test/prio-queue-disc-test-suite.cc
--- ns-3.35/src/traffic-control/test/prio-queue-disc-test-suite.cc	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/traffic-control/test/prio-queue-disc-test-suite.cc	2022-04-30 18:23:58.170735000 -0700
@@ -182,16 +182,16 @@
     }
   qdisc->Initialize ();
 
-  NS_TEST_EXPECT_MSG_EQ (qdisc->GetNQueueDiscClasses (), 4, "Verify that the queue disc has 4 child queue discs");
+  NS_TEST_ASSERT_MSG_EQ (qdisc->GetNQueueDiscClasses (), 4, "Verify that the queue disc has 4 child queue discs");
 
-  NS_TEST_EXPECT_MSG_EQ (qdisc->SetAttributeFailSafe ("Priomap", StringValue (priomap)),
+  NS_TEST_ASSERT_MSG_EQ (qdisc->SetAttributeFailSafe ("Priomap", StringValue (priomap)),
                          true, "Verify that we can actually set the attribute Priomap");
 
   StringValue sv;
-  NS_TEST_EXPECT_MSG_EQ (qdisc->GetAttributeFailSafe ("Priomap", sv),
+  NS_TEST_ASSERT_MSG_EQ (qdisc->GetAttributeFailSafe ("Priomap", sv),
                          true, "Verify that we can actually get the attribute Priomap");
 
-  NS_TEST_EXPECT_MSG_EQ (sv.Get (), priomap, "Verify that the priomap has been correctly set");
+  NS_TEST_ASSERT_MSG_EQ (sv.Get (), priomap, "Verify that the priomap has been correctly set");
 
   /*
    * Test 2: classify packets based on priomap because no packet filter is installed
@@ -200,7 +200,7 @@
   // create packets with priorities from 0 to 3
   for (uint16_t i = 0; i < 4; i++)
     {
-      NS_TEST_EXPECT_MSG_EQ (qdisc->GetQueueDiscClass (i)->GetQueueDisc ()->GetNPackets (),
+      NS_TEST_ASSERT_MSG_EQ (qdisc->GetQueueDiscClass (i)->GetQueueDisc ()->GetNPackets (),
                              0, "There should be no packets in the child queue disc " << i);
 
       item = Create<PrioQueueDiscTestItem> (Create<Packet> (100), dest, i);
@@ -208,7 +208,7 @@
       // packet is assigned band i
       uids[i].push (item->GetPacket ()->GetUid ());
 
-      NS_TEST_EXPECT_MSG_EQ (qdisc->GetQueueDiscClass (i)->GetQueueDisc ()->GetNPackets (),
+      NS_TEST_ASSERT_MSG_EQ (qdisc->GetQueueDiscClass (i)->GetQueueDisc ()->GetNPackets (),
                              1, "There should be one packet in the child queue disc " << i);
     }
 
@@ -223,7 +223,7 @@
   // create packets with priorities from 4 to 7
   for (uint16_t i = 0; i < 4; i++)
     {
-      NS_TEST_EXPECT_MSG_EQ (qdisc->GetQueueDiscClass (i)->GetQueueDisc ()->GetNPackets (),
+      NS_TEST_ASSERT_MSG_EQ (qdisc->GetQueueDiscClass (i)->GetQueueDisc ()->GetNPackets (),
                              1, "There should be one packet in the child queue disc " << i);
 
       item = Create<PrioQueueDiscTestItem> (Create<Packet> (100), dest, i+4);
@@ -231,7 +231,7 @@
       // packet is assigned band i
       uids[i].push (item->GetPacket ()->GetUid ());
 
-      NS_TEST_EXPECT_MSG_EQ (qdisc->GetQueueDiscClass (i)->GetQueueDisc ()->GetNPackets (),
+      NS_TEST_ASSERT_MSG_EQ (qdisc->GetQueueDiscClass (i)->GetQueueDisc ()->GetNPackets (),
                              2, "There should be two packets in the child queue disc " << i);
     }
 
@@ -246,7 +246,7 @@
   for (uint16_t i = 0; i < 4; i++)
     {
       pf2->SetReturnValue (i);
-      NS_TEST_EXPECT_MSG_EQ (qdisc->GetQueueDiscClass (i)->GetQueueDisc ()->GetNPackets (),
+      NS_TEST_ASSERT_MSG_EQ (qdisc->GetQueueDiscClass (i)->GetQueueDisc ()->GetNPackets (),
                              2, "There should be two packets in the child queue disc " << i);
 
       item = Create<PrioQueueDiscTestItem> (Create<Packet> (100), dest, 0);
@@ -254,7 +254,7 @@
       // packet is assigned band i
       uids[i].push (item->GetPacket ()->GetUid ());
 
-      NS_TEST_EXPECT_MSG_EQ (qdisc->GetQueueDiscClass (i)->GetQueueDisc ()->GetNPackets (),
+      NS_TEST_ASSERT_MSG_EQ (qdisc->GetQueueDiscClass (i)->GetQueueDisc ()->GetNPackets (),
                              3, "There should be three packets in the child queue disc " << i);
     }
 
@@ -268,8 +268,8 @@
   for (uint16_t i = 0; i < 4; i++)
     {
       pf2->SetReturnValue (4+i);
-      NS_TEST_EXPECT_MSG_EQ (qdisc->GetBandForPriority (0), 0, "The band for priority 0 must be band 0");
-      NS_TEST_EXPECT_MSG_EQ (qdisc->GetQueueDiscClass (0)->GetQueueDisc ()->GetNPackets (), i+3u,
+      NS_TEST_ASSERT_MSG_EQ (qdisc->GetBandForPriority (0), 0, "The band for priority 0 must be band 0");
+      NS_TEST_ASSERT_MSG_EQ (qdisc->GetQueueDiscClass (0)->GetQueueDisc ()->GetNPackets (), i+3u,
                              "There should be " << i+3 << " packets in the child queue disc "
                              << qdisc->GetBandForPriority (0));
 
@@ -278,7 +278,7 @@
       // packet is assigned band 0
       uids[0].push (item->GetPacket ()->GetUid ());
 
-      NS_TEST_EXPECT_MSG_EQ (qdisc->GetQueueDiscClass (0)->GetQueueDisc ()->GetNPackets (), i+4u,
+      NS_TEST_ASSERT_MSG_EQ (qdisc->GetQueueDiscClass (0)->GetQueueDisc ()->GetNPackets (), i+4u,
                              "There should be " << i+4 << " packets in the child queue disc "
                              << qdisc->GetBandForPriority (0));
     }
@@ -293,11 +293,11 @@
         {
           if (uids[i].empty ())
             {
-              NS_TEST_EXPECT_MSG_EQ (qdisc->GetQueueDiscClass (i)->GetQueueDisc ()->GetNPackets (),
+              NS_TEST_ASSERT_MSG_EQ (qdisc->GetQueueDiscClass (i)->GetQueueDisc ()->GetNPackets (),
                                      0, "Band " << i << " should be empty");
               continue;
             }
-          NS_TEST_EXPECT_MSG_EQ (uids[i].front (), item->GetPacket ()->GetUid (),
+          NS_TEST_ASSERT_MSG_EQ (uids[i].front (), item->GetPacket ()->GetUid (),
                                  "The dequeued packet is not the one we expected");
           uids[i].pop ();
           break;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/traffic-control/test/queue-disc-traces-test-suite.cc ns-3.36/src/traffic-control/test/queue-disc-traces-test-suite.cc
--- ns-3.35/src/traffic-control/test/queue-disc-traces-test-suite.cc	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/traffic-control/test/queue-disc-traces-test-suite.cc	2022-04-30 18:23:58.170735000 -0700
@@ -362,14 +362,14 @@
 void
 QueueDiscTracesTestCase::CheckQueued (Ptr<QueueDisc> qd, uint32_t nPackets, uint32_t nBytes)
 {
-  NS_TEST_EXPECT_MSG_EQ (qd->GetNPackets (), nPackets,
+  NS_TEST_ASSERT_MSG_EQ (qd->GetNPackets (), nPackets,
                          "Verify that the number of queued packets is computed correctly");
-  NS_TEST_EXPECT_MSG_EQ (m_counter[qd].m_nPackets, nPackets,
+  NS_TEST_ASSERT_MSG_EQ (m_counter[qd].m_nPackets, nPackets,
                          "Verify that the number of queued packets is computed correctly");
 
-  NS_TEST_EXPECT_MSG_EQ (qd->GetNBytes (), nBytes,
+  NS_TEST_ASSERT_MSG_EQ (qd->GetNBytes (), nBytes,
                          "Verify that the number of queued bytes is computed correctly");
-  NS_TEST_EXPECT_MSG_EQ (m_counter[qd].m_nBytes, nBytes,
+  NS_TEST_ASSERT_MSG_EQ (m_counter[qd].m_nBytes, nBytes,
                          "Verify that the number of queued bytes is computed correctly");
 }
 
@@ -378,14 +378,14 @@
 {
   QueueDisc::Stats stats = qd->GetStats ();
 
-  NS_TEST_EXPECT_MSG_EQ (stats.nTotalDroppedPacketsBeforeEnqueue, nDbePackets,
+  NS_TEST_ASSERT_MSG_EQ (stats.nTotalDroppedPacketsBeforeEnqueue, nDbePackets,
                          "Verify that the number of packets dropped before enqueue is computed correctly");
-  NS_TEST_EXPECT_MSG_EQ (m_counter[qd].m_nDbePackets, nDbePackets,
+  NS_TEST_ASSERT_MSG_EQ (m_counter[qd].m_nDbePackets, nDbePackets,
                          "Verify that the number of packets dropped before enqueue is computed correctly");
 
-  NS_TEST_EXPECT_MSG_EQ (stats.nTotalDroppedBytesBeforeEnqueue, nDbeBytes,
+  NS_TEST_ASSERT_MSG_EQ (stats.nTotalDroppedBytesBeforeEnqueue, nDbeBytes,
                          "Verify that the number of bytes dropped before enqueue is computed correctly");
-  NS_TEST_EXPECT_MSG_EQ (m_counter[qd].m_nDbeBytes, nDbeBytes,
+  NS_TEST_ASSERT_MSG_EQ (m_counter[qd].m_nDbeBytes, nDbeBytes,
                          "Verify that the number of bytes dropped before enqueue is computed correctly");
 }
 
@@ -394,14 +394,14 @@
 {
   QueueDisc::Stats stats = qd->GetStats ();
 
-  NS_TEST_EXPECT_MSG_EQ (stats.nTotalDroppedPacketsAfterDequeue, nDadPackets,
+  NS_TEST_ASSERT_MSG_EQ (stats.nTotalDroppedPacketsAfterDequeue, nDadPackets,
                          "Verify that the number of packets dropped after dequeue is computed correctly");
-  NS_TEST_EXPECT_MSG_EQ (m_counter[qd].m_nDadPackets, nDadPackets,
+  NS_TEST_ASSERT_MSG_EQ (m_counter[qd].m_nDadPackets, nDadPackets,
                          "Verify that the number of packets dropped after dequeue is computed correctly");
 
-  NS_TEST_EXPECT_MSG_EQ (stats.nTotalDroppedBytesAfterDequeue, nDadBytes,
+  NS_TEST_ASSERT_MSG_EQ (stats.nTotalDroppedBytesAfterDequeue, nDadBytes,
                          "Verify that the number of bytes dropped after dequeue is computed correctly");
-  NS_TEST_EXPECT_MSG_EQ (m_counter[qd].m_nDadBytes, nDadBytes,
+  NS_TEST_ASSERT_MSG_EQ (m_counter[qd].m_nDadBytes, nDadBytes,
                          "Verify that the number of bytes dropped after dequeue is computed correctly");
 }
 
@@ -418,7 +418,7 @@
 
   Ptr<QueueDisc> child = root->GetQueueDiscClass (0)->GetQueueDisc ();
 
-  NS_TEST_EXPECT_MSG_NE (child, 0, "The child queue disc has not been created");
+  NS_TEST_ASSERT_MSG_NE (child, 0, "The child queue disc has not been created");
 
   // Create counters and connect traces to the counters
   m_counter.emplace (root, TestCounter ());
@@ -464,8 +464,8 @@
   // of the child queue disc.
   item = root->Peek ();
 
-  NS_TEST_EXPECT_MSG_NE (item, 0, "A packet must have been returned");
-  NS_TEST_EXPECT_MSG_EQ (item->GetSize (), pktSizeUnit * 3, "The peeked packet has not the expected size");
+  NS_TEST_ASSERT_MSG_NE (item, 0, "A packet must have been returned");
+  NS_TEST_ASSERT_MSG_EQ (item->GetSize (), pktSizeUnit * 3, "The peeked packet has not the expected size");
 
   CheckQueued (root, 2, pktSizeUnit * 7);
   CheckDroppedBeforeEnqueue (root, 1, pktSizeUnit * 5);
@@ -478,8 +478,8 @@
   // Peek again. Nothing changes.
   item = root->Peek ();
 
-  NS_TEST_EXPECT_MSG_NE (item, 0, "A packet must have been returned");
-  NS_TEST_EXPECT_MSG_EQ (item->GetSize (), pktSizeUnit * 3, "The peeked packet has not the expected size");
+  NS_TEST_ASSERT_MSG_NE (item, 0, "A packet must have been returned");
+  NS_TEST_ASSERT_MSG_EQ (item->GetSize (), pktSizeUnit * 3, "The peeked packet has not the expected size");
 
   CheckQueued (root, 2, pktSizeUnit * 7);
   CheckDroppedBeforeEnqueue (root, 1, pktSizeUnit * 5);
@@ -492,8 +492,8 @@
   // Dequeue one packet. The root queue disc returns the previously peeked packet.
   item = root->Dequeue ();
 
-  NS_TEST_EXPECT_MSG_NE (item, 0, "A packet must have been returned");
-  NS_TEST_EXPECT_MSG_EQ (item->GetSize (), pktSizeUnit * 3, "The dequeued packet has not the expected size");
+  NS_TEST_ASSERT_MSG_NE (item, 0, "A packet must have been returned");
+  NS_TEST_ASSERT_MSG_EQ (item->GetSize (), pktSizeUnit * 3, "The dequeued packet has not the expected size");
 
   CheckQueued (root, 1, pktSizeUnit * 4);
   CheckDroppedBeforeEnqueue (root, 1, pktSizeUnit * 5);
@@ -506,8 +506,8 @@
   // Dequeue the last packet.
   item = root->Dequeue ();
 
-  NS_TEST_EXPECT_MSG_NE (item, 0, "A packet must have been returned");
-  NS_TEST_EXPECT_MSG_EQ (item->GetSize (), pktSizeUnit * 4, "The dequeued packet has not the expected size");
+  NS_TEST_ASSERT_MSG_NE (item, 0, "A packet must have been returned");
+  NS_TEST_ASSERT_MSG_EQ (item->GetSize (), pktSizeUnit * 4, "The dequeued packet has not the expected size");
 
   CheckQueued (root, 0, 0);
   CheckDroppedBeforeEnqueue (root, 1, pktSizeUnit * 5);
@@ -520,7 +520,7 @@
   // Peek a packet. No packet is left.
   item = root->Peek ();
 
-  NS_TEST_EXPECT_MSG_EQ (item, 0, "No packet must have been returned");
+  NS_TEST_ASSERT_MSG_EQ (item, 0, "No packet must have been returned");
 
   CheckQueued (root, 0, 0);
   CheckDroppedBeforeEnqueue (root, 1, pktSizeUnit * 5);
@@ -544,8 +544,8 @@
   // Dequeue one packet.
   item = root->Dequeue ();
 
-  NS_TEST_EXPECT_MSG_NE (item, 0, "A packet must have been returned");
-  NS_TEST_EXPECT_MSG_EQ (item->GetSize (), pktSizeUnit, "The dequeued packet has not the expected size");
+  NS_TEST_ASSERT_MSG_NE (item, 0, "A packet must have been returned");
+  NS_TEST_ASSERT_MSG_EQ (item->GetSize (), pktSizeUnit, "The dequeued packet has not the expected size");
 
   CheckQueued (root, 0, 0);
   CheckDroppedBeforeEnqueue (root, 1, pktSizeUnit * 5);
